summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog43
-rwxr-xr-xtests/dd/skip-seek2
-rwxr-xr-xtests/du/files0-from2
-rwxr-xr-xtests/misc/base642
-rwxr-xr-xtests/misc/basename2
-rwxr-xr-xtests/misc/cut2
-rwxr-xr-xtests/misc/date2
-rwxr-xr-xtests/misc/dircolors2
-rwxr-xr-xtests/misc/dirname2
-rwxr-xr-xtests/misc/expand2
-rwxr-xr-xtests/misc/expr2
-rwxr-xr-xtests/misc/factor2
-rwxr-xr-xtests/misc/fmt2
-rwxr-xr-xtests/misc/fold2
-rwxr-xr-xtests/misc/head-elide-tail2
-rwxr-xr-xtests/misc/ls-misc2
-rwxr-xr-xtests/misc/md5sum2
-rwxr-xr-xtests/misc/md5sum-newline2
-rwxr-xr-xtests/misc/mktemp2
-rwxr-xr-xtests/misc/od2
-rwxr-xr-xtests/misc/paste-no-nl2
-rwxr-xr-xtests/misc/pr2
-rwxr-xr-xtests/misc/seq2
-rwxr-xr-xtests/misc/sha1sum2
-rwxr-xr-xtests/misc/sha1sum-vec2
-rwxr-xr-xtests/misc/sha224sum2
-rwxr-xr-xtests/misc/sha256sum2
-rwxr-xr-xtests/misc/sha384sum2
-rwxr-xr-xtests/misc/sha512sum2
-rwxr-xr-xtests/misc/sort-merge2
-rwxr-xr-xtests/misc/stat-printf2
-rwxr-xr-xtests/misc/sum2
-rwxr-xr-xtests/misc/test-diag2
-rwxr-xr-xtests/misc/tsort2
-rwxr-xr-xtests/misc/unexpand2
-rwxr-xr-xtests/misc/wc-files0-from2
-rwxr-xr-xtests/misc/xstrtol2
-rwxr-xr-xtests/mv/i-12
-rwxr-xr-xtests/rm/empty-name2
-rwxr-xr-xtests/rm/unreadable2
40 files changed, 82 insertions, 39 deletions
diff --git a/ChangeLog b/ChangeLog
index ab6222445..df756b9d9 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,46 @@
+2007-11-15 Paul Eggert <eggert@cs.ucla.edu>
+
+ Port to Solaris 8 perl, which does not support "use warnings;".
+ * tests/dd/skip-seek: Skip test if "use warnings;" fails.
+ * tests/du/files0-from: Likewise.
+ * tests/misc/base64: Likewise.
+ * tests/misc/basename: Likewise.
+ * tests/misc/cut: Likewise.
+ * tests/misc/date: Likewise.
+ * tests/misc/dircolors: Likewise.
+ * tests/misc/dirname: Likewise.
+ * tests/misc/expand: Likewise.
+ * tests/misc/expr: Likewise.
+ * tests/misc/factor: Likewise.
+ * tests/misc/fmt: Likewise.
+ * tests/misc/fold: Likewise.
+ * tests/misc/head-elide-tail: Likewise.
+ * tests/misc/ls-misc: Likewise.
+ * tests/misc/md5sum: Likewise.
+ * tests/misc/md5sum-newline: Likewise.
+ * tests/misc/mktemp: Likewise.
+ * tests/misc/od: Likewise.
+ * tests/misc/paste-no-nl: Likewise.
+ * tests/misc/pr: Likewise.
+ * tests/misc/seq: Likewise.
+ * tests/misc/sha1sum: Likewise.
+ * tests/misc/sha1sum-vec: Likewise.
+ * tests/misc/sha224sum: Likewise.
+ * tests/misc/sha256sum: Likewise.
+ * tests/misc/sha384sum: Likewise.
+ * tests/misc/sha512sum: Likewise.
+ * tests/misc/sort-merge: Likewise.
+ * tests/misc/stat-printf: Likewise.
+ * tests/misc/sum: Likewise.
+ * tests/misc/test-diag: Likewise.
+ * tests/misc/tsort: Likewise.
+ * tests/misc/unexpand: Likewise.
+ * tests/misc/wc-files0-from: Likewise.
+ * tests/misc/xstrtol: Likewise.
+ * tests/mv/i-1: Likewise.
+ * tests/rm/empty-name: Likewise.
+ * tests/rm/unreadable: Likewise.
+
2007-11-15 Andreas Schwab <schwab@suse.de>
* m4/include-exclude-prog.m4 (gl_REMOVE_PROG): Fix syntax error.
diff --git a/tests/dd/skip-seek b/tests/dd/skip-seek
index a30195e92..f2c0393fe 100755
--- a/tests/dd/skip-seek
+++ b/tests/dd/skip-seek
@@ -21,7 +21,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/du/files0-from b/tests/du/files0-from
index cb82daea2..88f83aab9 100755
--- a/tests/du/files0-from
+++ b/tests/du/files0-from
@@ -21,7 +21,7 @@
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/base64 b/tests/misc/base64
index 56c5e2427..3276635e8 100755
--- a/tests/misc/base64
+++ b/tests/misc/base64
@@ -22,7 +22,7 @@
PROG=`echo $0|sed 's,.*/,,'`; export PROG
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/basename b/tests/misc/basename
index 07b118559..e492b9e0d 100755
--- a/tests/misc/basename
+++ b/tests/misc/basename
@@ -21,7 +21,7 @@
PROG=`echo $0|sed 's,.*/,,'`; export PROG
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/cut b/tests/misc/cut
index 44758343c..0a8ae3ae6 100755
--- a/tests/misc/cut
+++ b/tests/misc/cut
@@ -19,7 +19,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/date b/tests/misc/date
index 61a6f3e94..7408ea277 100755
--- a/tests/misc/date
+++ b/tests/misc/date
@@ -19,7 +19,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/dircolors b/tests/misc/dircolors
index e93d2fb7d..01f221128 100755
--- a/tests/misc/dircolors
+++ b/tests/misc/dircolors
@@ -19,7 +19,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/dirname b/tests/misc/dirname
index 7d0ffda8a..0530175bf 100755
--- a/tests/misc/dirname
+++ b/tests/misc/dirname
@@ -22,7 +22,7 @@
PROG=`echo $0|sed 's,.*/,,'`; export PROG
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/expand b/tests/misc/expand
index 7772fefe7..b58ff2970 100755
--- a/tests/misc/expand
+++ b/tests/misc/expand
@@ -22,7 +22,7 @@
PROG=`echo $0|sed 's,.*/,,'`; export PROG
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/expr b/tests/misc/expr
index 2a7f4c0d5..360d90583 100755
--- a/tests/misc/expr
+++ b/tests/misc/expr
@@ -20,7 +20,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/factor b/tests/misc/factor
index e6d3bcf71..ebe0d6434 100755
--- a/tests/misc/factor
+++ b/tests/misc/factor
@@ -21,7 +21,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/fmt b/tests/misc/fmt
index 043bf723a..0cc9ba251 100755
--- a/tests/misc/fmt
+++ b/tests/misc/fmt
@@ -21,7 +21,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/fold b/tests/misc/fold
index df017019e..a43ebf12f 100755
--- a/tests/misc/fold
+++ b/tests/misc/fold
@@ -22,7 +22,7 @@
PROG=`echo $0|sed 's,.*/,,'`; export PROG
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/head-elide-tail b/tests/misc/head-elide-tail
index ad1fef797..4bdcf535b 100755
--- a/tests/misc/head-elide-tail
+++ b/tests/misc/head-elide-tail
@@ -20,7 +20,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/ls-misc b/tests/misc/ls-misc
index 4fb8f1662..520c5031e 100755
--- a/tests/misc/ls-misc
+++ b/tests/misc/ls-misc
@@ -19,7 +19,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/md5sum b/tests/misc/md5sum
index 43407a40e..1b12e83ad 100755
--- a/tests/misc/md5sum
+++ b/tests/misc/md5sum
@@ -19,7 +19,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/md5sum-newline b/tests/misc/md5sum-newline
index 22717d41e..e20f0be8e 100755
--- a/tests/misc/md5sum-newline
+++ b/tests/misc/md5sum-newline
@@ -19,7 +19,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/mktemp b/tests/misc/mktemp
index da576e8b2..ed4b3c2bf 100755
--- a/tests/misc/mktemp
+++ b/tests/misc/mktemp
@@ -21,7 +21,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/od b/tests/misc/od
index 2395fa118..d827c2b07 100755
--- a/tests/misc/od
+++ b/tests/misc/od
@@ -22,7 +22,7 @@
PROG=`echo $0|sed 's,.*/,,'`; export PROG
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/paste-no-nl b/tests/misc/paste-no-nl
index 68f53a12e..aa5049c7a 100755
--- a/tests/misc/paste-no-nl
+++ b/tests/misc/paste-no-nl
@@ -20,7 +20,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/pr b/tests/misc/pr
index 76c32d6b0..0b7e0a210 100755
--- a/tests/misc/pr
+++ b/tests/misc/pr
@@ -21,7 +21,7 @@
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/seq b/tests/misc/seq
index ec843bcf0..17c8f0c6c 100755
--- a/tests/misc/seq
+++ b/tests/misc/seq
@@ -20,7 +20,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/sha1sum b/tests/misc/sha1sum
index 975c570f5..62de889d7 100755
--- a/tests/misc/sha1sum
+++ b/tests/misc/sha1sum
@@ -19,7 +19,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/sha1sum-vec b/tests/misc/sha1sum-vec
index d20904168..2dd666c39 100755
--- a/tests/misc/sha1sum-vec
+++ b/tests/misc/sha1sum-vec
@@ -19,7 +19,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/sha224sum b/tests/misc/sha224sum
index 220a49864..1fdfd3d50 100755
--- a/tests/misc/sha224sum
+++ b/tests/misc/sha224sum
@@ -21,7 +21,7 @@
PROG=`echo $0|sed 's,.*/,,'`; export PROG
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/sha256sum b/tests/misc/sha256sum
index 2d6a0d963..f4f25d863 100755
--- a/tests/misc/sha256sum
+++ b/tests/misc/sha256sum
@@ -21,7 +21,7 @@
PROG=`echo $0|sed 's,.*/,,'`; export PROG
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/sha384sum b/tests/misc/sha384sum
index 1d3aff003..bfb9ed092 100755
--- a/tests/misc/sha384sum
+++ b/tests/misc/sha384sum
@@ -21,7 +21,7 @@
PROG=`echo $0|sed 's,.*/,,'`; export PROG
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/sha512sum b/tests/misc/sha512sum
index 74deec5f3..55798fc70 100755
--- a/tests/misc/sha512sum
+++ b/tests/misc/sha512sum
@@ -21,7 +21,7 @@
PROG=`echo $0|sed 's,.*/,,'`; export PROG
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/sort-merge b/tests/misc/sort-merge
index 7884ef62c..2795b60f5 100755
--- a/tests/misc/sort-merge
+++ b/tests/misc/sort-merge
@@ -19,7 +19,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/stat-printf b/tests/misc/stat-printf
index 695be26c9..60d7b6ffa 100755
--- a/tests/misc/stat-printf
+++ b/tests/misc/stat-printf
@@ -19,7 +19,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/sum b/tests/misc/sum
index 527170798..d87bdd03f 100755
--- a/tests/misc/sum
+++ b/tests/misc/sum
@@ -19,7 +19,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/test-diag b/tests/misc/test-diag
index f5d767276..9f0c7cd70 100755
--- a/tests/misc/test-diag
+++ b/tests/misc/test-diag
@@ -19,7 +19,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/tsort b/tests/misc/tsort
index 790502034..9a078aec4 100755
--- a/tests/misc/tsort
+++ b/tests/misc/tsort
@@ -20,7 +20,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/unexpand b/tests/misc/unexpand
index 9752524d5..e35434403 100755
--- a/tests/misc/unexpand
+++ b/tests/misc/unexpand
@@ -19,7 +19,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/wc-files0-from b/tests/misc/wc-files0-from
index 1d46b2a34..6d0bb8c99 100755
--- a/tests/misc/wc-files0-from
+++ b/tests/misc/wc-files0-from
@@ -24,7 +24,7 @@
PROG=`echo $0|sed 's,.*/,,'`; export PROG
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/misc/xstrtol b/tests/misc/xstrtol
index aa2b8a7b5..7fdc4da56 100755
--- a/tests/misc/xstrtol
+++ b/tests/misc/xstrtol
@@ -24,7 +24,7 @@ fi
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/mv/i-1 b/tests/mv/i-1
index d51685921..0fee59cb2 100755
--- a/tests/mv/i-1
+++ b/tests/mv/i-1
@@ -19,7 +19,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/rm/empty-name b/tests/rm/empty-name
index ead842245..a2af5be4c 100755
--- a/tests/rm/empty-name
+++ b/tests/rm/empty-name
@@ -24,7 +24,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77
diff --git a/tests/rm/unreadable b/tests/rm/unreadable
index 4af8280de..16c4c920a 100755
--- a/tests/rm/unreadable
+++ b/tests/rm/unreadable
@@ -19,7 +19,7 @@
: ${PERL=perl}
: ${srcdir=.}
-$PERL -e 1 > /dev/null 2>&1 || {
+$PERL -e 'use warnings;' > /dev/null 2>&1 || {
echo 1>&2 "$0: configure didn't find a usable version of Perl," \
"so can't run this test"
exit 77